POST
/v1/mgmt/fga/authzen/access/v1/evaluation

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

subject*object
resource*object
action*object
context?object

Optional flat key-value context map for evaluating ABAC conditions

Evaluate a single OpenID AuthZEN Access Evaluation request.

curl -X POST "https://api.descope.com/v1/mgmt/fga/authzen/access/v1/evaluation" \  -H "Content-Type: application/json" \  -d '{    "subject": {      "type": "string"    },    "resource": {      "type": "string"    },    "action": {      "name": "string"    }  }'
{  "decision": true,  "context": {}}
export interface Response {decision?: boolean/** * Optional context; carries an informational "reason" when the decision is denied */context?: {}}
Was this helpful?